package com.rwk.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.rwk.common.annotation.Excel;
import com.rwk.common.core.domain.BaseEntity;

/**
 * 通讯录主对象 rwk_address_book
 * 
 * @author ruoyi
 * @date 2024-12-12
 */
public class RwkAddressBook extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 通讯录姓名 */
    @Excel(name = "通讯录姓名")
    private String bookName;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String information;

    /** 归属部门/个人 */
    @Excel(name = "归属部门/个人")
    private Long addressGroup;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** email */
    @Excel(name = "email")
    private String email;

    /** 其他联系方式 */
    @Excel(name = "其他联系方式")
    private String othersInf;

    /** 部门id */
    private Long deptId;

    /** sql查询条件 */
    private String keyword;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setBookName(String bookName)
    {
        this.bookName = bookName;
    }

    public String getBookName() 
    {
        return bookName;
    }

    public void setInformation(String information) 
    {
        this.information = information;
    }

    public String getInformation() 
    {
        return information;
    }

    public void setAddressGroup(Long addressGroup) 
    {
        this.addressGroup = addressGroup;
    }

    public Long getAddressGroup() 
    {
        return addressGroup;
    }

    public void setCreateDate(Date createDate) 
    {
        this.createDate = createDate;
    }

    public Date getCreateDate() 
    {
        return createDate;
    }

    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }

    public void setOthersInf(String othersInf) 
    {
        this.othersInf = othersInf;
    }

    public String getOthersInf() 
    {
        return othersInf;
    }

    @Override
    public String toString() {
        return "RwkAddressBook{" +
                "id=" + id +
                ", bookName='" + bookName + '\'' +
                ", information='" + information + '\'' +
                ", addressGroup=" + addressGroup +
                ", createDate=" + createDate +
                ", email='" + email + '\'' +
                ", othersInf='" + othersInf + '\'' +
                ", deptId=" + deptId +
                '}';
    }
}
